Package: org.apache.groovy.swing.binding

## [Java] Enum PropertyBinding.UpdateStrategy

- org.apache.groovy.swing.binding.PropertyBinding.UpdateStrategy

-     public enum PropertyBinding.UpdateStrategy

  Defines the thread on which target updates should run.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ASYNC` | Always updates asynchronously.
    `DEFER` | Defers updates until the event queue processes them.
    `MIXED` | Chooses a strategy dynamically based on the current execution context.
    `OUTSIDE` | Updates synchronously off the event-dispatch thread.
    `SAME` | Updates on the calling thread.
    `SYNC` | Always updates synchronously on the event-dispatch thread.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static UpdateStrategy` | `of(String str)` Resolves an update strategy name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PropertyBinding.UpdateStrategy ASYNC

      Always updates asynchronously.

    - #### PropertyBinding.UpdateStrategy DEFER

      Defers updates until the event queue processes them.

    - #### PropertyBinding.UpdateStrategy MIXED

      Chooses a strategy dynamically based on the current execution context.

    - #### PropertyBinding.UpdateStrategy OUTSIDE

      Updates synchronously off the event-dispatch thread.

    - #### PropertyBinding.UpdateStrategy SAME

      Updates on the calling thread.

    - #### PropertyBinding.UpdateStrategy SYNC

      Always updates synchronously on the event-dispatch thread.

  - ### Method Detail

    - #### public static UpdateStrategy of(String str)

      Resolves an update strategy name.

      Parameters:
        `str` - the strategy name
      Returns:
        the matching strategy, or `null` when the name is not recognized